## org.eclipse.jst.jsf.designtime.symbols
Class DefaultDataTableSymbolFactory

    java.lang.Object
      org.eclipse.jst.jsf.designtime.symbols.DefaultDataTableSymbolFactory

    public class DefaultDataTableSymbolFactory

extends java.lang.Object

The default factory for creating DataModel symbols based on an value expression in a dataTable. Clients may sub-class.

Constructor Summary
`DefaultDataTableSymbolFactory(AbstractDataModelVariableFactory dataModelSymbolFactory)`

Method Summary
`ISymbol` `createSymbolForDataTableValue(java.lang.String symbolName, org.w3c.dom.Element dataTableElement, IStructuredDocumentContext context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDataTableSymbolFactory

    public DefaultDataTableSymbolFactory(AbstractDataModelVariableFactory dataModelSymbolFactory)

Parameters:
  `dataModelSymbolFactory` -

Method Detail

### createSymbolForDataTableValue

    public ISymbol createSymbolForDataTableValue(java.lang.String symbolName,
                                                 org.w3c.dom.Element dataTableElement,
                                                 IStructuredDocumentContext context)

  Parameters:
    `symbolName` - the name of the symbol to be created. Must not be null.
    `dataTableElement` - the DOM element representing the dataTable tag.
    `context` - the document context pointing to dataTableElement
  Returns:
    a symbol named symbolName based on the variable declared by dataTableElement